import { jsx } from "react/jsx-runtime";
import { ToggleLeftIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ToggleLeft = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "ToggleLeft", ...props, children: /* @__PURE__ */ jsx(ToggleLeftIcon, { weight: variant }) });
  }
);
ToggleLeft.displayName = "ToggleLeft";
Object.assign(ToggleLeft, { isGdsIcon: true });
export {
  ToggleLeft
};
